/* l'algorithme de calcul est repris du travail du Dr Gerald Bernardin 
	Seule la fonction de copie dans le presse papier est transforme. */

	var tab_questions = new Array('coherence', 'orientation', 'toilette', 'habillage',
		'alimentation', 'elimination', 'transferts', 'deplacements', 'deplacements_exterieurs', 'communication');
	
	var tab_groupes = new Array();
	
	// groupe A
	
	tab_groupes['A'] = new Array();
	
	tab_groupes['A']['criteres'] = new Array();
	tab_groupes['A']['criteres']['coherence'] 	= {'B':0, 'C':2000};
	tab_groupes['A']['criteres']['orientation'] 	= {'B':0, 'C':1200};
	tab_groupes['A']['criteres']['toilette'] 		= {'B':16, 'C':40};
	tab_groupes['A']['criteres']['habillage'] 	= {'B':16, 'C':40};
	tab_groupes['A']['criteres']['alimentation'] = {'B':20, 'C':60};
	tab_groupes['A']['criteres']['elimination'] 	= {'B':16, 'C':100};
	tab_groupes['A']['criteres']['transferts'] 	= {'B':120, 'C':800};
	tab_groupes['A']['criteres']['deplacements'] = {'B':32, 'C':200};
	
	tab_groupes['A']['regles_rang'] = new Array();
	tab_groupes['A']['regles_rang'][0] = {'seuil':4380, 'rang':1};
	tab_groupes['A']['regles_rang'][1] = {'seuil':4140, 'rang':2};
	tab_groupes['A']['regles_rang'][2] = {'seuil':3390, 'rang':3};
	
	
	// groupe B
	
	tab_groupes['B'] = new Array();
	
	tab_groupes['B']['criteres'] = new Array();
	tab_groupes['B']['criteres']['coherence'] 	= {'B':320, 'C':1500};
	tab_groupes['B']['criteres']['orientation'] 	= {'B':120, 'C':1200};
	tab_groupes['B']['criteres']['toilette'] 		= {'B':16, 'C':40};
	tab_groupes['B']['criteres']['habillage'] 	= {'B':16, 'C':40};
	tab_groupes['B']['criteres']['alimentation'] = {'B':0, 'C':60};
	tab_groupes['B']['criteres']['elimination'] 	= {'B':16, 'C':100};
	tab_groupes['B']['criteres']['transferts'] 	= {'B':120, 'C':800};
	tab_groupes['B']['criteres']['deplacements'] = {'B':-40, 'C':-80};
	
	tab_groupes['B']['regles_rang'] = new Array();
	tab_groupes['B']['regles_rang'][0] = {'seuil':2016, 'rang':4};
	
	
	// groupe C
	
	tab_groupes['C'] = new Array();
	
	tab_groupes['C']['criteres'] = new Array();
	tab_groupes['C']['criteres']['toilette'] 		= {'B':16, 'C':40};
	tab_groupes['C']['criteres']['habillage'] 	= {'B':16, 'C':40};
	tab_groupes['C']['criteres']['alimentation'] = {'B':20, 'C':60};
	tab_groupes['C']['criteres']['elimination'] 	= {'B':20, 'C':160};
	tab_groupes['C']['criteres']['transferts'] 	= {'B':200, 'C':1000};
	tab_groupes['C']['criteres']['deplacements'] = {'B':40, 'C':400};
	
	tab_groupes['C']['regles_rang'] = new Array();
	tab_groupes['C']['regles_rang'][0] = {'seuil':1700, 'rang':5};
	tab_groupes['C']['regles_rang'][1] = {'seuil':1432, 'rang':6};
	
	
	// groupe D
	
	tab_groupes['D'] = new Array();
	
	tab_groupes['D']['criteres'] = new Array();
	tab_groupes['D']['criteres']['alimentation'] = {'B':200, 'C':2000};
	tab_groupes['D']['criteres']['elimination'] 	= {'B':200, 'C':400};
	tab_groupes['D']['criteres']['transferts'] 	= {'B':200, 'C':2000};
	tab_groupes['D']['criteres']['deplacements'] = {'B':0, 'C':200};
	
	tab_groupes['D']['regles_rang'] = new Array();
	tab_groupes['D']['regles_rang'][0] = {'seuil':2400, 'rang':7};
	
	
	// groupe E
	
	tab_groupes['E'] = new Array();
	
	tab_groupes['E']['criteres'] = new Array();
	tab_groupes['E']['criteres']['coherence'] 	= {'B':0, 'C':400};
	tab_groupes['E']['criteres']['orientation'] 	= {'B':0, 'C':400};
	tab_groupes['E']['criteres']['toilette'] 		= {'B':100, 'C':400};
	tab_groupes['E']['criteres']['habillage'] 	= {'B':100, 'C':400};
	tab_groupes['E']['criteres']['alimentation'] = {'B':100, 'C':400};
	tab_groupes['E']['criteres']['elimination'] 	= {'B':100, 'C':800};
	tab_groupes['E']['criteres']['transferts'] 	= {'B':100, 'C':800};
	tab_groupes['E']['criteres']['deplacements'] = {'B':0, 'C':200};
	
	tab_groupes['E']['regles_rang'] = new Array();
	tab_groupes['E']['regles_rang'][0] = {'seuil':1200, 'rang':8};
	
	
	// groupe F
	
	tab_groupes['F'] = new Array();
	
	tab_groupes['F']['criteres'] = new Array();
	tab_groupes['F']['criteres']['coherence'] 	= {'B':100, 'C':200};
	tab_groupes['F']['criteres']['orientation'] 	= {'B':100, 'C':200};
	tab_groupes['F']['criteres']['toilette'] 		= {'B':100, 'C':500};
	tab_groupes['F']['criteres']['habillage'] 	= {'B':100, 'C':500};
	tab_groupes['F']['criteres']['alimentation'] = {'B':100, 'C':500};
	tab_groupes['F']['criteres']['elimination'] 	= {'B':100, 'C':500};
	tab_groupes['F']['criteres']['transferts'] 	= {'B':100, 'C':500};
	tab_groupes['F']['criteres']['deplacements'] = {'B':0, 'C':200};
	
	tab_groupes['F']['regles_rang'] = new Array();
	tab_groupes['F']['regles_rang'][0] = {'seuil':800, 'rang':9};
	
	
	// groupe G
	
	tab_groupes['G'] = new Array();
	
	tab_groupes['G']['criteres'] = new Array();
	tab_groupes['G']['criteres']['coherence'] 	= {'B':0, 'C':150};
	tab_groupes['G']['criteres']['orientation'] 	= {'B':0, 'C':150};
	tab_groupes['G']['criteres']['toilette'] 		= {'B':200, 'C':300};
	tab_groupes['G']['criteres']['habillage'] 	= {'B':200, 'C':300};
	tab_groupes['G']['criteres']['alimentation'] = {'B':200, 'C':500};
	tab_groupes['G']['criteres']['elimination'] 	= {'B':200, 'C':500};
	tab_groupes['G']['criteres']['transferts'] 	= {'B':200, 'C':400};
	tab_groupes['G']['criteres']['deplacements'] = {'B':100, 'C':200};
	
	tab_groupes['G']['regles_rang'] = new Array();
	tab_groupes['G']['regles_rang'][0] = {'seuil':650, 'rang':10};
	
	
	// groupe H
	
	tab_groupes['H'] = new Array();
	
	tab_groupes['H']['criteres'] = new Array();
	tab_groupes['H']['criteres']['toilette'] 		= {'B':2000, 'C':3000};
	tab_groupes['H']['criteres']['habillage'] 	= {'B':2000, 'C':3000};
	tab_groupes['H']['criteres']['alimentation'] = {'B':2000, 'C':3000};
	tab_groupes['H']['criteres']['elimination'] 	= {'B':2000, 'C':3000};
	tab_groupes['H']['criteres']['transferts'] 	= {'B':2000, 'C':1000};
	tab_groupes['H']['criteres']['deplacements'] = {'B':1000, 'C':1000};
	
	tab_groupes['H']['regles_rang'] = new Array();
	tab_groupes['H']['regles_rang'][0] = {'seuil':4000, 'rang':11};
	tab_groupes['H']['regles_rang'][1] = {'seuil':2000, 'rang':12};
	tab_groupes['H']['regles_rang'][2] = {'seuil':0, 'rang':13};
	
	
	// Dtermination du Gir
	// rang:gir
	
	var tab_rang_gir = {1:1, 2:2, 3:2, 4:2, 5:2, 6:2, 7:2, 8:3, 9:3, 10:4, 11:4, 12:5, 13:6};
	
	
	function Calcul(f)
	{
		var total = 0;
		var question, i;
		var tab_reponses = new Array();
		
		for (i = 0; i < tab_questions.length; i++)
		{
			//alert(tab_questions[i]);
			question = f.elements[tab_questions[i]];
			
			// boutons radio
			for (j = 0; j < question.length; j++)
			{
				if (question[j].checked)
				{
					tab_reponses[tab_questions[i]] = question[j].value;
					break;
				}
			}
		}
		
		
		// calcul du rang en fonction des rponses choisies
		// on se sert de la variable globale tab_groupes
		
		var rang = 0;
		var points, groupe;
		
		for(nom_groupe in tab_groupes)
		{
			points = 0;
			groupe = tab_groupes[nom_groupe];
			
			// calcul des 'points' obtenus pour le groupe courant
			
			for(critere in groupe['criteres'])
			{
				for(reponse in groupe['criteres'][critere])
				{
					if (reponse == tab_reponses[critere])
						points += groupe['criteres'][critere][reponse];
				}
			}
			
			// on calcule le rang en fonction des 'rgles de rang' du groupe courant
			
			for(i = 0; i < groupe['regles_rang'].length; i++)
			{
				//alert(nom_groupe+' points='+points+' seuil='+groupe['regles_rang'][i]['seuil']);
				if (points >= groupe['regles_rang'][i]['seuil'])
				{
					rang = groupe['regles_rang'][i]['rang'];
					break;
				}
			}
			
			// on a trouv un rang
			
			if (rang > 0)
				break;
		}
		
		//alert('rang='+rang+' groupe retenu:'+nom_groupe);
		
		
		// calcul du GIR
		// on se sert de la variable globale tab_rang_gir
		
		var gir = tab_rang_gir[rang];
		
		// on met  jour le champ 'Gir_calcule' du formulaire
		
		f.elements['Gir_calcule'].value = gir;
	}


	function copyToClipboard()
	{
		// Cration du texte complet et copie dans le textarea cach

		var txt = "Calcul du GIR :\n\n";
		for (i = 0; i < tab_questions.length; i++)
		{
			label_question = document.getElementById('label_'+tab_questions[i]);
			txt += '"'+label_question.innerHTML+'" : ';

			question = document.forms['aggir'].elements[tab_questions[i]];
			
			for (j = 0; j < question.length; j++)
			{
				if (question[j].checked)
				{
					txt += question[j].value;
					break;
				}
			}
			
			txt += '\n';
		}

		txt += '\n';
		
		// GIR
		
		txt += 'GIR = '+ document.forms['aggir'].elements['Gir_calcule'].value + '\n';
		
		
		//txt += '\n'+document.getElementById('texte_resultats').innerText;
		
		var fullText = document.forms['aggir'].elements['FullText'];
		
		fullText.value = txt;

		// Copie du contenu du textarea cach dans le presse-papier
		
		fullText.select();
		fullText.focus();
		var textRange = fullText.createTextRange();
		textRange.execCommand("Copy");
		fullText.blur();
	}
	
	
	function modifRadio()
	{
		var champs_input = document.forms['aggir'].getElementsByTagName("INPUT");
		for(i = 0; i < champs_input.length; i++)
			if(champs_input[i].type.toUpperCase() == "RADIO")
				champs_input[i].onclick = function anonymous() { Calcul(this.form); };
	}
	
	// ne pas oublier l'attribut : onload="Calcul(document.forms['essai']); modifRadio();" pour la balise <body>
